Bug 58684 - perlcc errors on compile
perlcc errors on compile
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-22 18:27 EST by Terry Letsche
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-22 18:27:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Terry Letsche 2002-01-22 18:27:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; T312461)

Description of problem:
I have the perl script terry.pl:
#!/usr/bin/perl
print "Hello world.\n";

Running the script produces:
[root@radius2 root]# perl terry.pl
Hello world.
[root@radius2 root]#

Compiling the script with perlcc produces:
[root@radius2 root]# perlcc terry.pl

--------------------------------------------------------------------------------
Compiling terry.pl:
--------------------------------------------------------------------------------
Making C(terry.pl.c) for terry.pl!
/usr/bin/perl -I/usr/lib/perl5/5.6.0/i386-linux -I/usr/lib/perl5/5.6.0 -
I/usr/lib/perl5/site_perl/5.6.0/i386-linux -I/usr/lib/perl5/site_perl/5.6.0 -
I/usr/lib/perl5/site_perl -I. -MB::Stash -c  terry.pl
/usr/bin/perl -I/usr/lib/perl5/5.6.0/i386-linux -I/usr/lib/perl5/5.6.0 -
I/usr/lib/perl5/site_perl/5.6.0/i386-linux -I/usr/lib/perl5/site_perl/5.6.0 -
I/usr/lib/perl5/site_perl -I. -MO=C,-umain,-uattributes,-uDB terry.pl
Starting compile
Walking tree
Prescan
Saving methods
Bootstrap attributes terry.pl
Writing output
Loaded B
Loaded IO
Loaded Fcntl
terry.pl syntax OK
Compiling C(terry) for terry.pl!
/usr/bin/perl -I/usr/lib/perl5/5.6.0/i386-linux -I/usr/lib/perl5/5.6.0 -
I/usr/lib/perl5/site_perl/5.6.0/i386-linux -I/usr/lib/perl5/site_perl/5.6.0 -
I/usr/lib/perl5/site_perl -I. /tmp/terry.pl.tst
gcc -fno-strict-aliasing -I/usr/local/include  -I/usr/lib/perl5/5.6.0/i386-
linux/CORE -o terry terry.pl.c   -L/usr/local/lib -L/usr/lib/perl5/5.6.0/i386-
linux/CORE -lperl -lnsl -ldl -lm -lc -lcrypt /usr/lib/perl5/5.6.0/i386-
linux/auto/IO/IO.so /usr/lib/perl5/5.6.0/i386-linux/auto/Fcntl/Fcntl.so
/tmp/ccFRJhyC.o: In function `xs_init':
/tmp/ccFRJhyC.o(.text+0x33c5): undefined reference to `boot_DynaLoader'
collect2: ld returned 1 exit status
ERROR: In compiling code for terry.pl.c !

This holds true for other perl scripts you try to compile:
Compiling C(new-arin) for new-arin.pl!
/usr/bin/perl -I/usr/lib/perl5/5.6.0/i386-linux -I/usr/lib/perl5/5.6.0 -
I/usr/lib/perl5/site_perl/5.6.0/i386-linux -I/usr/lib/perl5/site_perl/5.6.0 -
I/usr/lib/perl5/site_perl -I. /tmp/new-arin.pl.tst
gcc -fno-strict-aliasing -I/usr/local/include  -I/usr/lib/perl5/5.6.0/i386-
linux/CORE -o new-arin new-arin.pl.c   -L/usr/local/lib -
L/usr/lib/perl5/5.6.0/i386-linux/CORE -lperl -lnsl -ldl -lm -lc -
lcrypt /usr/lib/perl5/5.6.0/i386-linux/auto/IO/IO.so /usr/lib/perl5/5.6.0/i386-
linux/auto/Fcntl/Fcntl.so
/tmp/ccpr6rLf.o: In function `xs_init':
/tmp/ccpr6rLf.o(.text+0x7c59): undefined reference to `boot_DynaLoader'
collect2: ld returned 1 exit status
ERROR: In compiling code for new-arin.pl.c !

Installed version of perl - perl-5.6.0-17

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create or locate an existing perl script on a RH 7.2 system
2. perlcc perlfile.pl
3.
	

Actual Results:  [root@radius2 raddb]# perlcc new-arin.pl

--------------------------------------------------------------------------------
Compiling new-arin.pl:
--------------------------------------------------------------------------------
Making C(new-arin.pl.c) for new-arin.pl!
/usr/bin/perl -I/usr/lib/perl5/5.6.0/i386-linux -I/usr/lib/perl5/5.6.0 -
I/usr/lib/perl5/site_perl/5.6.0/i386-linux -I/usr/lib/perl5/site_perl/5.6.0 -
I/usr/lib/perl5/site_perl -I. -MB::Stash -c  new-arin.pl
/usr/bin/perl -I/usr/lib/perl5/5.6.0/i386-linux -I/usr/lib/perl5/5.6.0 -
I/usr/lib/perl5/site_perl/5.6.0/i386-linux -I/usr/lib/perl5/site_perl/5.6.0 -
I/usr/lib/perl5/site_perl -I. -MO=C,-umain,-uattributes,-uDB new-arin.pl
Starting compile
Walking tree
Prescan
Saving methods
Bootstrap attributes new-arin.pl
Writing output
Loaded B
Loaded IO
Loaded Fcntl
new-arin.pl syntax OK
Compiling C(new-arin) for new-arin.pl!
/usr/bin/perl -I/usr/lib/perl5/5.6.0/i386-linux -I/usr/lib/perl5/5.6.0 -
I/usr/lib/perl5/site_perl/5.6.0/i386-linux -I/usr/lib/perl5/site_perl/5.6.0 -
I/usr/lib/perl5/site_perl -I. /tmp/new-arin.pl.tst
gcc -fno-strict-aliasing -I/usr/local/include  -I/usr/lib/perl5/5.6.0/i386-
linux/CORE -o new-arin new-arin.pl.c   -L/usr/local/lib -
L/usr/lib/perl5/5.6.0/i386-linux/CORE -lperl -lnsl -ldl -lm -lc -
lcrypt /usr/lib/perl5/5.6.0/i386-linux/auto/IO/IO.so /usr/lib/perl5/5.6.0/i386-
linux/auto/Fcntl/Fcntl.so
/tmp/ccpr6rLf.o: In function `xs_init':
/tmp/ccpr6rLf.o(.text+0x7c59): undefined reference to `boot_DynaLoader'
collect2: ld returned 1 exit status
ERROR: In compiling code for new-arin.pl.c !


Expected Results:  A working Linux executable!

Additional info:

This is a system upgraded from RH 6.2. Doing the same test on a system with a 
fresh install of 7.2 from scratch yields the same result.
Comment 1 Chip Turner 2002-01-31 15:51:01 EST
perlcc is unsupported.  it just doesn't work, and likely will never with with
perl 5.6.x.  the manpage mentions its experimental state.

Note You need to log in before you can comment on or make changes to this bug.